改善碎片化現象? Android P將開始限制使用Android 4.2版本以後相容App

2018.03.20 01:43AM
2454
是改善碎片化現象? Android P將開始限制使用Android 4.2版本以後相容App這篇文章的首圖
首圖

繼蘋果從iOS 10之後全面要求開發者轉向64位元架構App發展,不再使用32位元架構設計後,Google也計畫藉由限製版本相容範圍,藉此在持續改善版本碎片化現象之餘,同時也讓應用程式維持一定相容性。

稍早開發人員發現在Android P的開發工具組內增加最低相容版本規定,若App內容僅針對Android 4.1以前版本優化的話,在未來Android P將會出現無法正常使用情況。

而就現階段模擬結果,雖然相容Android 4.1以前版本的App內容均可正常安裝,但卻會在執行過程中出現異常,意味在Android P之後推出的App內容若未能針對Android 4.2以後版本設計的話,將無法繼續在新版Android環境內使用。

雖然Google強調開放發展模式,但基於整體運作效率、使用體驗一致性等考量,勢必要開始在越來越多元發展的Android平台加上一些「限制」,例如在Android P限制諸多API內容不得在背景運作,為的就是避免使用者隱私在不知情之下遭人取用,或是讓Android平台裝置遭人用於「挖礦」等用途。

回應 9

熱門文章

最新消息

本日精選